Index: src/test/regress/parallel_schedule
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/parallel_schedule,v
retrieving revision 1.23
diff -c -r1.23 parallel_schedule
*** src/test/regress/parallel_schedule	13 Sep 2003 16:44:48 -0000	1.23
--- src/test/regress/parallel_schedule	15 Nov 2003 23:01:34 -0000
***************
*** 60,66 ****
  # ----------
  # The fourth group of parallel test
  # ----------
! test: select_into select_distinct select_distinct_on select_implicit select_having subselect union case join aggregates transactions random portals arrays btree_index hash_index update
  
  test: privileges
  test: misc
--- 60,66 ----
  # ----------
  # The fourth group of parallel test
  # ----------
! test: select_into select_distinct select_distinct_on select_implicit select_having subselect union case join aggregates transactions random portals arrays btree_index hash_index update notify
  
  test: privileges
  test: misc
Index: src/test/regress/serial_schedule
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/serial_schedule,v
retrieving revision 1.22
diff -c -r1.22 serial_schedule
*** src/test/regress/serial_schedule	13 Sep 2003 16:44:48 -0000	1.22
--- src/test/regress/serial_schedule	15 Nov 2003 23:01:47 -0000
***************
*** 73,78 ****
--- 73,79 ----
  test: btree_index
  test: hash_index
  test: update
+ test: notify
  test: privileges
  test: misc
  test: select_views
Index: src/test/regress/sql/notify.sql
===================================================================
RCS file: src/test/regress/sql/notify.sql
diff -N src/test/regress/sql/notify.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- src/test/regress/sql/notify.sql	15 Nov 2003 23:06:14 -0000
***************
*** 0 ****
--- 1,51 ----
+ LISTEN my_cond;
+ NOTIFY my_cond;
+ 
+ BEGIN;
+ NOTIFY my_cond;
+ COMMIT;
+ 
+ -- notifications should not be delivered if the transaction that sends
+ -- them aborts
+ BEGIN;
+ NOTIFY my_cond;
+ ABORT;
+ 
+ -- multiple notifications on the same condition are compressed into a
+ -- single notification
+ BEGIN;
+ 
+ NOTIFY my_cond;
+ NOTIFY my_cond;
+ NOTIFY my_cond;
+ 
+ COMMIT;
+ 
+ -- UNLISTEN should be transactional as well
+ BEGIN;
+ UNLISTEN my_cond;
+ ABORT;
+ 
+ -- should be delivered, since the UNLISTEN txn was aborted
+ NOTIFY my_cond;
+ 
+ -- these two transactions should produce identical results:
+ -- whether the unlisten was executed before or after the
+ -- notify doesn't change the fact that the notification
+ -- is NOT delivered
+ BEGIN;
+ NOTIFY my_cond;
+ UNLISTEN my_cond;
+ COMMIT;
+ 
+ -- should NOT be delivered
+ NOTIFY my_cond;
+ LISTEN my_cond;
+ 
+ BEGIN;
+ UNLISTEN my_cond;
+ NOTIFY my_cond;
+ COMMIT;
+ 
+ -- should NOT be delivered
+ NOTIFY my_cond;
\ No newline at end of file
